noinst_LIBRARIES=libpem.a
EXTRA_PROGRAMS=ctx_size
INCLUDES=-I$(top_srcdir)/crypto

libpem_a_SOURCES=pem_all.c pem_err.c pem_info.c pem_lib.c pem_seal.c pem_sign.c

ctx_size_SOURCES=ctx_size.c
ctx_size_LDFLAGS=-L$(top_builddir)/crypto
ctx_size_LDADD=-lcrypto
ctx_size_DEPENDENCIES=$(top_builddir)/crypto/libcrypto.a

EXTRA_DIST=Makefile.ssl message pem.err pem.h pem.org pkcs7.lis

errors pem_err.c pem.h: pem.err
	perl $(top_srcdir)/util/err-ins.pl pem.err pem.h
	perl $(top_srcdir)/crypto/err/err_genc.pl pem.h pem_err.c

$(top_builddir)/crypto/libcrypto.a:
	cd $(top_builddir)/crypto; $(MAKE) $(MFLAGS) libcrypto.a
